package com.zd.airbottle.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

/**
 * 【请填写功能名称】对象 qp_task_detail
 * 
 * @author zd
 * @date 2022-05-11
 */
@ApiModel("【请填写功能名称】")
public class QpTaskDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id,数据唯一标识 */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 货物配置表id */
    @Excel(name = "气瓶配置表id")
    @ApiModelProperty(value = "气瓶配置表id")
    private Long airBottleConfigId;
    /** 待办清单id */
    @Excel(name = "待办清单id")
    @ApiModelProperty(value = "待办清单id")
    private Long taskId;
    /** 气瓶数量 */
    @Excel(name = "气瓶数量")
    @ApiModelProperty(value = "气瓶数量")
    private Long bottleNumber;
    /** 气瓶状态 0.未派送  1.已派送/待入库 2.已入库 3.已拒收 */
    @Excel(name = "气瓶状态 0.未派送  1.已派送/待入库 2.已入库 3.已拒收")
    @ApiModelProperty(value = "气瓶状态 0.未派送  1.已派送/待入库 2.已入库 3.已拒收")
    private Long qpStatus;
    /** 申请描述 */
    @ApiModelProperty(value = "申请描述")
    private String applyDescribe;

    /** 供应商id */
    @ApiModelProperty(value = "供应商id")
    private Long supplierId;

    /** 运输车辆id */
    @Excel(name = "运输车辆id")
    @ApiModelProperty(value = "运输车辆id")
    private Long carId;
    /** 车牌号 */
    @Excel(name = "车牌号")
    @Length(message = "车牌号长度不能超过255")
    @ApiModelProperty(value = "车牌号")
    private String carNumber;
    /** 运输人员id */
    @Excel(name = "运输人员id")
    @ApiModelProperty(value = "运输人员id")
    private Long transportId;
    /** 运输人员姓名 */
    @Excel(name = "运输人员姓名")
    @Length(message = "运输人员姓名长度不能超过255")
    @ApiModelProperty(value = "运输人员姓名")
    private String transportName;
    /** 是否处理 0未处理 1.已处理 */
    @Excel(name = "是否处理 0未处理 1.已处理")
    @ApiModelProperty(value = "是否处理 0未处理 1.已处理")
    private Long isDispose;
    /** 处理人 */
    @Excel(name = "处理人")
    @Length(message = "处理人长度不能超过255")
    @ApiModelProperty(value = "处理人")
    private String disposeUser;
    /** 处理人id */
    @Excel(name = "处理人id")
    @ApiModelProperty(value = "处理人id")
    private Long disposeUserid;
    /** 处理时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "处理时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "处理时间")
    private Date disposeTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setBottleNumber(Long bottleNumber) 
    {
        this.bottleNumber = bottleNumber;
    }

    public Long getBottleNumber() 
    {
        return bottleNumber;
    }
    public void setQpStatus(Long qpStatus)    {        this.qpStatus = qpStatus;    }

    public Long getQpStatus()    {        return qpStatus;    }

    public Long getAirBottleConfigId() {        return airBottleConfigId;    }

    public void setAirBottleConfigId(Long airBottleConfigId) {        this.airBottleConfigId = airBottleConfigId;    }

    public String getApplyDescribe() {        return applyDescribe;    }

    public void setApplyDescribe(String applyDescribe) {        this.applyDescribe = applyDescribe;    }

    public Long getSupplierId() {        return supplierId;    }

    public void setSupplierId(Long supplierId) {        this.supplierId = supplierId;    }

    public Long getCarId() {
        return carId;
    }

    public void setCarId(Long carId) {
        this.carId = carId;
    }

    public String getCarNumber() {
        return carNumber;
    }

    public void setCarNumber(String carNumber) {
        this.carNumber = carNumber;
    }

    public Long getTransportId() {
        return transportId;
    }

    public void setTransportId(Long transportId) {
        this.transportId = transportId;
    }

    public String getTransportName() {
        return transportName;
    }

    public void setTransportName(String transportName) {
        this.transportName = transportName;
    }

    public Long getIsDispose() {
        return isDispose;
    }

    public void setIsDispose(Long isDispose) {
        this.isDispose = isDispose;
    }

    public String getDisposeUser() {
        return disposeUser;
    }

    public void setDisposeUser(String disposeUser) {
        this.disposeUser = disposeUser;
    }

    public Long getDisposeUserid() {
        return disposeUserid;
    }

    public void setDisposeUserid(Long disposeUserid) {
        this.disposeUserid = disposeUserid;
    }

    public Date getDisposeTime() {
        return disposeTime;
    }

    public void setDisposeTime(Date disposeTime) {
        this.disposeTime = disposeTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("airBottleConfigId", getAirBottleConfigId())
            .append("taskId", getTaskId())
            .append("bottleNumber", getBottleNumber())
            .append("qpStatus", getQpStatus())
            .append("applyDescribe", getApplyDescribe())
            .append("supplierId", getSupplierId())
            .append("carId", getCarId())
            .append("carNumber", getCarNumber())
            .append("transportId", getTransportId())
            .append("transportName", getTransportName())
            .append("isDispose", getIsDispose())
            .append("disposeUser", getDisposeUser())
            .append("disposeUserid", getDisposeUserid())
            .append("disposeTime", getDisposeTime())
            .toString();
    }


}
